dcl_settings : default_dcl_settings { audit_level = 3; }

bplt_ok_button : retirement_button {
        label           = "Continue";
        mnemonic	= "C";
        key             = "accept";
        is_default      = true;
}

bplt_cancel_button : retirement_button {
        label           = "Cancel";
        key             = "cancel";
        is_cancel       = true;
}

bplt_help_button : retirement_button {
        label           = "&Help";
        key             = "help";
        is_help         = true;
}

bplt_info_button : retirement_button {
        label           = "&Info...";
        key             = "info";
}

bplt_ok_cancel_help : column {
    : row {
        fixed_width = true;
        alignment = centered;
    : bplt_button {
//        mnemonic        = "L";
        alignment       = centered;
        label           = "Import Publish List";// for loading into AutoCAD's Publish dialog
        key             = "publish_shtlst_in";
//        fixed_width     = true;
//        width           = 25;
    }
    : bplt_button {
        mnemonic        = "P";
        alignment       = centered;
        label           = "Export Publish List";// for loading into AutoCAD's Publish dialog
        key             = "publish_shtlst_out";
//        fixed_width     = true;
//        width           = 25;
    }
        bplt_ok_button;
//        : spacer { width = 2; }
        bplt_cancel_button;
//        : spacer { width = 2; }
        bplt_help_button;
    }
}

bplt_button : button {
    horizontal_margin = none;
    vertical_margin   = none;
    height	      = 1;
}

bplt_list_sbox : list_box {
//    horizontal_margin = none;
//    vertical_margin   = none;
    height		= 7;
}

bplt_list_mbox : list_box {
//    horizontal_margin = none;
//    vertical_margin   = none;
    height		= 8;
}

bplt_list_tbox : list_box {
//    horizontal_margin = none;
//    vertical_margin   = none;
    height		= 15;
}

bplt_boxed_radio_column : boxed_radio_column {
//    horizontal_margin = none;
//    vertical_margin   = none;
}

bplt_boxed_radio_row : boxed_radio_row {
//    horizontal_margin = none;
//    vertical_margin   = none;
}

bplt_boxed_column : boxed_column {
//    horizontal_margin = none;
//    vertical_margin   = none;
}

bplt_boxed_row : boxed_row {
//    horizontal_margin = none;
//    vertical_margin   = none;
}
bplt_radio_button : radio_button {
    alignment = centered;
    horizontal_margin = none;
    vertical_margin   = none;
    height	      = 1;
}

bplt_toggle : toggle {
    alignment = centered;
    horizontal_margin = none;
    vertical_margin   = none;
    height	      = 1;
}

bplt_edit_box : edit_box {
    alignment = centered;
    vertical_margin   = none;
    horizontal_margin = none;
    height	      = 1;
}

bplt_popup_list : popup_list {
    alignment = centered;
    vertical_margin   = none;
    horizontal_margin = none;
}

bplt_text: text {
    vertical_margin   = tiny;
    horizontal_margin = tiny;
    height	      = 1;
}

checkswatch : image_button {
    alignment = centered;
    vertical_margin = none;
    horizontal_margin = none;
    fixed_height = true;
    fixed_width = true;
    height = 1;
    width = 2;
    allow_accept = false;
}

bplot2k : dialog {
      label                 = "Batch Plot/Script Creator for AutoCAD 2004-2013";
//      : row {
        : bplt_text {
            value           = "Selection path:";
            width           = 55;
            key             = "dirtxt";
        }
//      }
: row {
  : column {
//    : row {
        : bplt_list_mbox {
            mnemonic        = "r";
            label           = "Select <drive> and folder:";
            key             = "dirs";
	    width           = 55;
//            fixed_height    = true;
//            height          = 8;
          }
        : bplt_list_mbox {
            mnemonic        = "i";
            label           = "Drawings in Selection path:";
            multiple_select = true;
            key             = "files";
	    width           = 55;
//            fixed_height    = true;
            height          = 20;
          }
//    }
  }
  : column {
        : bplt_popup_list {
            mnemonic        = "P";
            label           = "Plot Device:";
            key             = "plotrs";
//            value           = "0";
        }
        : bplt_popup_list {
            mnemonic        = "g";
            label           = "Page Setup:";
            key             = "pages";
//            value           = "0";
        }
          : bplt_toggle {
            mnemonic          = "F";
            label             = "Force redefinition of page setups upon import";
            key               = "frepages";
            value             = "0";
          }
    : bplt_boxed_row {
        label		= "Override Plot Window - All Plots";
          : bplt_toggle {
//            mnemonic          = "W";
//            label             = "Window";
            key               = "plotwindow";
            value             = "0";
          }
        : column {
        : bplt_edit_box {
            key          = "plotwin_llx";
//            mnemonic     = "E";
            width        = 10;
            label	 = "  LLx:";
        }
        : bplt_edit_box {
            key          = "plotwin_lly";
//            mnemonic     = "E";
            width        = 10;
            label	 = "  LLy:";
        }
        }
        : column {
        : bplt_edit_box {
            key          = "plotwin_urx";
//            mnemonic     = "E";
            width        = 10;
            label	 = "  URx:";
        }
        : bplt_edit_box {
            key          = "plotwin_ury";
//            mnemonic     = "E";
            width        = 10;
            label	 = "  URy:";
        }
        }
    }
    : row {
    : column {
    : bplt_boxed_column {
        label             = "Plot output to:";
        key		  = "plttobox";
        : bplt_toggle {
            mnemonic        = "i";
            label           = "1/2 scale dpi";
            key             = "fixdpi";
            value           = "1";
        }
        : bplt_toggle {
            mnemonic        = "n";
            label           = "Don't fix dpi";
            key             = "dontfixdpi";
            value           = "0";
        }
    : radio_column {
//        fixed_width       = true;
//        width             = 10;
        key               = "out_to";
        value             = "0";
        : bplt_radio_button {
          mnemonic        = "D";
          label           = "Device";
          key             = "Plotout";
          value           = "0";
        }
        : bplt_radio_button {
          mnemonic        = "F";
          label           = "File";
          key             = "Fileout";
          value           = "1";
          }
    }
        : bplt_popup_list {
            mnemonic        = "v";
            label           = "Drive";
            key             = "file_drv";
            value           = "0";
        }
    }
    : bplt_boxed_column {
        label		  = "Sort drawings";
        : bplt_text {
          label		= "in Selection path:";
        }
          : bplt_toggle {
            mnemonic        = "y";
            label           = "by newest date";
            key             = "sortdate";
            value           = "0";
          }
        }
    }
    : bplt_boxed_column {
        label		  = "Script options:";
          : bplt_toggle {
            mnemonic          = "w";
            label             = "Save current dwg first";
            key               = "savdwg";
            value             = "1";
          }
          : bplt_toggle {
            mnemonic          = "Q";
            label             = "Quit AutoCAD when done";
            key               = "qitend";
            value             = "0";
          }
          : bplt_toggle {
//            mnemonic          = "L";
            label             = "Script/Plot all Layouts";
            key               = "allayplt";
            value             = "0";
          }
          : bplt_toggle {
            mnemonic          = "o";
            label             = "Create script only (no plot)";
            key               = "jst_scr";
            value             = "0";
          }
          : bplt_toggle {
            mnemonic          = "f";
            label             = "Include etransmit to folder";
            key               = "etrf_scr";
            value             = "0";
          }
          : bplt_toggle {
            mnemonic          = "z";
            label             = "Force DIMSCALE to zero";
            key               = "forcedim0";
            value             = "0";
          }
          : bplt_toggle {
//            mnemonic          = "C";
            label             = "Force WCS";
            key               = "force_wcs";
            value             = "0";
          }
          : bplt_toggle {
            mnemonic          = "I";
            label             = "Include plot stamp";
            key               = "include_plbl";
            value             = "0";
          }
      }
  }
  : bplt_boxed_column {
        label          = "Key-in name and press [Enter]: (wildcards OK)";
    : row {
        : bplt_edit_box {
            key          = "fedit";
            mnemonic     = "E";
            width        = 38;
            label	 = "Entry:";
        }
        :button {
            mnemonic        = "S";
            label           = "Select All";
            key             = "selall";
            value           = "";
        }
      }
    : row {
      : bplt_button {
          mnemonic        = "l";
          label           = "Clear";
          key             = "clear";
          value           = "";
      }
      : bplt_button {
          mnemonic        = "m";
          label           = "Remove";
          key             = "remove";
          value           = "";
      }
      : bplt_button {
          mnemonic        = "v";
          label           = "Reverse";
          key             = "reverse";
          value           = "";
      }
    }
  : row {
      : bplt_button {
          mnemonic        = "S";
          label           = "Save List";
          key             = "savelst";
//          fixed_width     = true;
//          width           = 17;
          value           = "";
      }
      : bplt_button {
          mnemonic        = "R";
          label           = "Restore List";
          key             = "restorelst";
//          fixed_width     = true;
//          width           = 20;
          value           = "";
      }
      : bplt_button {
//          mnemonic        = "I";
          label           = "Index List";
          key             = "indexlst";
//          fixed_width     = true;
//          width           = 20;
          value           = "";
      }
    }
  }
    }
  }
//}
: row {
  : column {
//    : row {
      : bplt_text {
          value           = "0 Drawings selected for plotting:";
          width           = 110;
          key             = "selnum";
      }
//    }
    : bplt_list_tbox {
        fixed_height    = true;
        height          = 14;
//        fixed_width     = true;
        width           = 110;
        key             = "filsel";
        value           = "0";
    }
  }
//  : column {
//    : bplt_boxed_radio_column {
//        label             = "Area:";
//        fixed_width       = true;
//        width             = 10;
//        key               = "pltare";
//        value             = "0";
//        : bplt_radio_button {
//          mnemonic        = "E";
//          label           = "Extents";
//          key             = "Extents";
//          value           = "0";
//          }
//        : bplt_radio_button {
//          mnemonic        = "L";
//          label           = "Limits";
//          key             = "Limits";
//          value           = "1";
//          }
//        }
//  }
}
: bplt_text {
//  fixed_height          = true;
//  height                = 1;
    value                 = "";
    width                 = 95;
    key                   = "choice";
}
: bplt_boxed_row {
    label          = "Custom script:";
  : column {
    : row {
      : bplt_button {
          mnemonic        = "U";
          label           = "Renumber Drawings";
          key             = "renumber_dwgs";
//          fixed_width     = true;
//          width           = 25;
      }
    : bplt_text {
      label	=	"<<< adds/updates seq.# prefix to drawing names";
//        value                 = "rename";
//        width		      = 11;
//        key		      = "rename_txt";
    }
      : spacer { width = 2; }
          : bplt_toggle {
//           mnemonic          = "I";
            label             = "";
            key               = "updttl_chk";
            value             = "0";
          }
//      :checkswatch {
//        key             = "updttl_chk";
//      }
      : bplt_button {
          mnemonic        = "U";
          label           = "Modify attributes...";
          key             = "upd_titlblks";
          fixed_width     = true;
          width           = 25;
      }
    }
  : row {
    : bplt_text {
        value                 = "Preplot:";
        width		      = 11;
        key		      = "Preplot";
    }
    : bplt_edit_box {
//      label        = "Preplot: ";
        key          = "pltpre";
        mnemonic     = "o";
        width        = 95;
    }
    }
    : bplt_toggle {
        mnemonic        = "1";
        label           = "Insert drawing path and filename (without extension)";
        key             = "ins_fname";
        value           = "0";
    }
    : row {
    : bplt_text {
        value                 = "Postplot:";
        width		      = 11;
        key		      = "Postplot";
    }
    : bplt_edit_box {
//      label        = "Postplot:";
        key          = "pltpst";
        width        = 95;
    }
    }
  }
}
    bplt_ok_cancel_help;
    errtile;
}
//*****************************************************************************
update_title : dialog {
      label                 = "Batch Script - Update Block Attributes";
      :paragraph {
        :text_part {
          alignment    = centered;
          label        =  "Attributes such as title block fill-ins can be automatically";
        }
        :text_part {
          alignment    = centered;
          label        =  "updated if the attributes each have a unique tag.";
        }
      }
      : row {
        : boxed_column {
          label = "Update Attributes";
      :paragraph {
        :text_part {
          alignment    = centered;
          label        =  "";
        }
        :text_part {
          alignment    = centered;
          label        =  "";
        }
        :text_part {
          alignment    = centered;
          label        =  "";
        }
        :text_part {
          alignment    = centered;
          label        =  "Select the block from the list, an";
        }
        :text_part {
          alignment    = centered;
          label        =  "attribute to update, enter its new";
        }
        :text_part {
          alignment    = centered;
          label        =  "value, add it to the update list.";
        }
        :text_part {
          alignment    = centered;
          label        =  "Do for each attribute to update.";
        }
        :text_part {
          alignment    = centered;
          label        =  "";
        }
        :text_part {
          alignment    = centered;
          label        =  "";
        }
        :text_part {
          alignment    = centered;
          label        =  "";
        }
      }
        : bplt_popup_list {
            mnemonic        = "B";
            label           = "Block name:";
            key             = "block_list";
            fixed_width	    = true;
            edit_width	    = 24;
            width           = 42;
        }
        : bplt_popup_list {
            mnemonic        = "A";
            label           = "Attribute Tag:";
            key             = "tag_list";
            fixed_width	    = true;
            edit_width	    = 24;
            width           = 42;
        }
        : bplt_edit_box {
            key          = "new_value";
            mnemonic     = "N";
            label	 = "New value:";
            fixed_width	    = true;
            edit_width	    = 25;
            width           = 42;
        }
    : row {
      : spacer {}
      : button {
          mnemonic        = "d";
          label           = "Add to update list";
          key             = "add_to_list";
          fixed_width     = true;
          width           = 25;
          value           = "";
      }
      : spacer {}
    }
    }
        : boxed_column {
          label = "Sequence an Attribute";
      :paragraph {
        :text_part {
          alignment    = centered;
          label        =  "One unique attribute may have numeric";
        }
        :text_part {
          alignment    = centered;
          label        =  "values assigned in sequence with an";
        }
        :text_part {
          alignment    = centered;
          label        =  "optional prefix, e.g. sheet numbers.";
        }
        :text_part {
          alignment    = centered;
          label        =  "Use the prefix \"from_folder\" to";
        }
        :text_part {
          alignment    = centered;
          label        =  "use the first alphabetic character";
        }
        :text_part {
          alignment    = centered;
          label        =  "of the folder name as the prefix.";
        }
        :text_part {
          alignment    = centered;
          label        =  "These selections will not appear";
        }
        :text_part {
          alignment    = centered;
          label        =  "in the attribute update list.";
        }
        :text_part {
          alignment    = centered;
          label        =  "Disable this function if unused.";
        }
        :text_part {
          alignment    = centered;
          label        =  "";
        }
      }        : bplt_popup_list {
            mnemonic        = "S";
            label           = "Block name:";
            key             = "sheet_blklst";
            fixed_width	    = true;
            edit_width	    = 24;
            width           = 48;
        }
        : bplt_popup_list {
            mnemonic        = "t";
            label           = "Attribute Tag:";
            key             = "sheet_taglst";
            fixed_width	    = true;
            edit_width	    = 24;
            width           = 48;
        }
        : row {
    : radio_column {
        key               = "update_sht_no";
        value             = "disable_usn";
        : radio_button {
          mnemonic        = "D";
          label           = "Disable";
          key             = "disable_usn";
          value           = "1";
        }
        : radio_button {
          mnemonic        = "E";
          label           = "Enable";
          key             = "enable_usn";
          value           = "0";
          }
    }
    : column {
      : spacer {}
        : bplt_edit_box {
            key          = "sheet_prefix";
            mnemonic     = "P";
            label	 = "Prefix:";
            edit_width	    = 12;
        }
        : bplt_edit_box {
            key          = "sheet_value";
            mnemonic     = "F";
            label	 = "First seq. #:";
            edit_width	    = 4;
        }
      : spacer {}
      }
        }
        }
      }
    : row {
      : spacer {}
      : button {
          mnemonic        = "l";
          label           = "Clear update list";
          key             = "clear_updates";
          fixed_width     = true;
          width           = 25;
          value           = "";
      }
      : spacer {}
    }
        : bplt_list_mbox {
            mnemonic        = "i";
            label           = "Attribute update list:";
//            multiple_select = true;4
            key             = "attupd_list";
	    width           = 55;
//            fixed_height    = true;
            height          = 10;
          }
    bplt_ok_cancel_help;
    errtile;
   }
//*****************************************************************************
setdpi : dialog {
      label                 = "Batch resize raster format plot files (images)";
        : bplt_text {
            value           = "Selection path:";
            width           = 55;
            key             = "dirtxt";
        }
: row {
  : column {
        : bplt_list_sbox {
            mnemonic        = "r";
            label           = "Select <drive> and folder:";
            key             = "dirs";
	    width           = 55;
          }
        : bplt_list_mbox {
            mnemonic        = "i";
            label           = "Images in Selection path:";
            key             = "files";
	    width           = 55;
          }
  }
  : column {
  : boxed_column {
      label	= "Set image dpi";
    : radio_row {
        key               = "dpiout";
        value             = "0";
        : bplt_radio_button {
          mnemonic        = "H";
          label           = "Standard Half (576dpi)";
          key             = "halfdpi";
          value           = "0";
        }
        : bplt_radio_button {
          mnemonic        = "F";
          label           = "Standard Full (288dpi)";
          key             = "fulldpi";
          value           = "1";
          }
    }
    : row {
        : bplt_toggle {
          mnemonic          = "o";
          label             = "Set other dpi";
          key               = "setotherdpi";
          value             = "0";
        }
        : bplt_edit_box {
          key          = "anydpi";
          mnemonic     = "S";
          width        = 8;
          fixed_width  = true;
          label	 = "";
        }
        : spacer {
          width = 30;
        }
    }
  }
  : bplt_boxed_column {
        label          = "Build files list";
    : column {
    : row {
        : bplt_edit_box {
            key          = "fedit";
            mnemonic     = "E";
            width        = 38;
            label	 = "Entry:";
        }
        :button {
            mnemonic        = "S";
            label           = "Select All";
            key             = "selall";
            value           = "";
        }
      }
        : bplt_text {
            label	= "Key-in name and press [Enter]: (wildcards OK)";
            key		= "wildtext";
        }
    }
    : row {
      : bplt_button {
          mnemonic        = "l";
          label           = "Clear";
          key             = "clear";
          value           = "";
      }
      : bplt_button {
          mnemonic        = "m";
          label           = "Remove";
          key             = "remove";
          value           = "";
      }
      : bplt_button {
          mnemonic        = "v";
          label           = "Reverse";
          key             = "reverse";
          value           = "";
      }
    }
  : row {
      : bplt_button {
          mnemonic        = "S";
          label           = "Save List";
          key             = "savelst";
          value           = "";
      }
      : bplt_button {
          mnemonic        = "R";
          label           = "Restore List";
          key             = "restorelst";
          value           = "";
      }
      : bplt_button {
          mnemonic        = "I";
          label           = "Index List";
          key             = "indexlst";
          value           = "";
      }
    }
  }
  }
  }
: row {
  : column {
      : bplt_text {
          value           = "0 images selected for setting dpi:";
          width           = 110;
          key             = "selnum";
      }
    : bplt_list_tbox {
        fixed_height    = true;
        width           = 110;
        key             = "filsel";
        value           = "0";
    }
  }
}

    bplt_ok_cancel_help;
    errtile;
}
